Subject: bug#14519: Missing dlname='' in uninstalled .la file

From: Ryan Lortie <[email-masked]>
Date: Fri, 31 May 2013 09:51:12 -0400

hi,

It seems that if I use libtool to generate a .la file that won't be
installed (from noinst_LTLIBRARIES or check_LTLIBRARIES for example)
then automake doesn't pass the -rpath parameter to libtool.

(I think) libtool then assumes that, because this library will never be
installed, nobody will ever want to open it with libltdl.  It writes
dlname='' to the .la file instead of the real name.  This happens even
if -module is explicitly given.  Having an empty dlname='' causes
libltdl not to be able to open the module.

My intention was to build this library to be dlopen()ed by a testcase,
so I think the dlname='' line should always be correctly filled in -- or
at least when using '-module'.

Thanks in advance.